601,100
562,"CHARACTERDELIMITED"
586,"C:\YanTraining\sourceblob.txt"
585,"C:\YanTraining\sourceblob.txt"
564,
565,"i;mlYU[<<aQjLp7?eRY293Tp<Ft`6RWo\fEr0f8EuAHjbeey2Btg8sYS@IrMQ5Gz;k6gq6N\eNURAmq0[pFsPBh?N2>wQVmK3[R]DFIw78n8^eJ`[GQ8Q8C>X<LIgEt?W8I5vS`Sy`MS\9sIL2ZYU2w<Ll38?uM67ao91X<QFKSgc_bBbY5Y3;Z15O_;\i1LR6rZ\H^K"
593,
594,
595,
597,
598,
596,
800,
801,
566,0
567,","
588,"."
589,","
568,""""
570,
571,
569,0
592,0
599,1000
560,2
pBlob
pSourceFile
561,2
2
2
590,2
pBlob,""
pSourceFile,""
637,2
pBlob,Blob Name
pSourceFile,Source File
577,3
Plan
Version
TaskID
578,3
2
2
2
579,3
1
2
3
580,3
0
0
0
581,3
0
0
0
582,3
VarType=32	ColType=827	
VarType=32	ColType=827	
VarType=32	ColType=827	
572,10

#****Begin: Generated Statements***
#****End: Generated Statements****


SetInputCharacterSet( 'TM1CS_UTF8' );

DATASOURCENAMEFORSERVER =  pSourcefile;


573,3

#****Begin: Generated Statements***
#****End: Generated Statements****
574,38

#****Begin: Generated Statements***
#****End: Generated Statements****

vCubeName = '}ElementAttachments_}sm_versiontasks@' | Plan | '@' | Version;

if ( CubeExists(vCubeName) = 1 );
vAttachmentsDim = '}Attachments';
vMeasuresDim = '}AttachmentMeasures';
vAttachmentsSize = DIMSIZ(vAttachmentsDim);
vAttachmentsLooper=1;
vAttachmentMeasuresSize = DIMSIZ(vMeasuresDim);
vAttachmentMeasuresLooper = 1;

vAttachmentsElement='';
vMeasuresElement='';
while(vAttachmentsLooper <= vAttachmentsSize);
  vAttachmentsElement=DIMNM(vAttachmentsDim, vAttachmentsLooper);
  if ( ELLEV(vAttachmentsDim, vAttachmentsElement) = 0 );
     vType=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Type');
     vName=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Name');
     vPath=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Path');
     vCount=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Counts');
     vCreatedBy=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'CreatedBy');
     vCreatedDatetime=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Created DateTime');
     vSize=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Size');
     vFileType=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'FileType');
     vDescription=CELLGETS(vCubeName, TaskID, vAttachmentsElement, 'Description');
     SetOutputCharacterSet( pBlob, 'TM1CS_UTF8' );
     textoutput(pBlob, Plan, Version, TaskID, vAttachmentsElement, vType, vName, vPath, vCount, vCreatedBy, vCreatedDateTime, vSize, vFileType, vDesc
ription);
  endif;
  vAttachmentsLooper = vAttachmentsLooper + 1;
end;
endif;



575,3

#****Begin: Generated Statements***
#****End: Generated Statements****
576,CubeAction=1511	DataAction=1503	CubeLogChanges=0	
638,1
804,0
900,
901,
902,
903,
906,
907,
908,
904,0
905,0
909,0
910,0
911,
912,
913,
914,
915,
916,
